org.richfaces.ui.output.outputPanel

## Enum UIOutputPanel.Properties

- java.lang.Object
- - java.lang.Enum<UIOutputPanel.Properties>
  - - org.richfaces.ui.output.outputPanel.UIOutputPanel.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIOutputPanel.Properties>
  Enclosing class:
    UIOutputPanel

      protected static enum UIOutputPanel.Properties
      extends Enum<UIOutputPanel.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ajaxRendered`
    `dir`
    `keepTransient`
    `lang`
    `layout`
    `onclick`
    `ondblclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `style`
    `styleClass`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIOutputPanel.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIOutputPanel.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ajaxRendered

          public static final UIOutputPanel.Properties ajaxRendered

    - #### dir

          public static final UIOutputPanel.Properties dir

    - #### keepTransient

          public static final UIOutputPanel.Properties keepTransient

    - #### lang

          public static final UIOutputPanel.Properties lang

    - #### layout

          public static final UIOutputPanel.Properties layout

    - #### onclick

          public static final UIOutputPanel.Properties onclick

    - #### ondblclick

          public static final UIOutputPanel.Properties ondblclick

    - #### onkeydown

          public static final UIOutputPanel.Properties onkeydown

    - #### onkeypress

          public static final UIOutputPanel.Properties onkeypress

    - #### onkeyup

          public static final UIOutputPanel.Properties onkeyup

    - #### onmousedown

          public static final UIOutputPanel.Properties onmousedown

    - #### onmousemove

          public static final UIOutputPanel.Properties onmousemove

    - #### onmouseout

          public static final UIOutputPanel.Properties onmouseout

    - #### onmouseover

          public static final UIOutputPanel.Properties onmouseover

    - #### onmouseup

          public static final UIOutputPanel.Properties onmouseup

    - #### style

          public static final UIOutputPanel.Properties style

    - #### styleClass

          public static final UIOutputPanel.Properties styleClass

    - #### title

          public static final UIOutputPanel.Properties title

  - ### Method Detail

    - #### values

          public static UIOutputPanel.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIOutputPanel.Properties c : UIOutputPanel.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIOutputPanel.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.